<?php
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $mensagem = htmlspecialchars($_POST['mensagem']);
    $cor = htmlspecialchars($_POST['cor']);
    $bgcolor = htmlspecialchars($_POST['bgcolor']);
    $opacity = htmlspecialchars($_POST['opacity']);

    $data = [
        'mensagem' => $mensagem,
        'cor' => $cor,
        'bgcolor' => $bgcolor,
        'opacity' => $opacity
    ];

    file_put_contents('mensagem.txt', json_encode($data));
    header('Location: edit_texto.php'); // Redireciona de volta para o formulário após salvar
}
?>